/**
 *
 */
package com.ims.ims.sm.entity;

import java.util.Date;
import com.alibaba.fastjson.annotation.JSONField;

import com.ims.core.entity.DataEntity;
import com.fasterxml.jackson.annotation.JsonIgnore;
/**
 * 电子公告Entity
 * @author niyili
 * @version 2022-12-27
 */
public class Pubinfo extends DataEntity<Pubinfo> {

	private static final long serialVersionUID = 1L;
	private String title;		// 标题
	private String descr;		// 描述
	private Date infoStartTime;		// 有效开始时间
	private Date infoEndTime;		// 有效截止时间
	private String infoType;		// 公告类型
	private String notic;		// 公告内容
	private String readPerson;		// 阅读人
	private String readDep;		// 阅读部门
	private String picName;		// 撰写人
	private String isActive;		// 是否可用
	private String remark;		// 备注说明


	public Pubinfo() {
		super();
	}

	public Pubinfo(String id){
		super(id);
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}
	public String getDescr() {
		return descr;
	}

	public void setDescr(String descr) {
		this.descr = descr;
	}
	@JSONField(format = "yyyy-MM-dd HH:mm:ss")
	public Date getInfoStartTime() {
		return infoStartTime;
	}

	public void setInfoStartTime(Date infoStartTime) {
		this.infoStartTime = infoStartTime;
	}
	@JSONField(format = "yyyy-MM-dd HH:mm:ss")
	public Date getInfoEndTime() {
		return infoEndTime;
	}

	public void setInfoEndTime(Date infoEndTime) {
		this.infoEndTime = infoEndTime;
	}
	public String getInfoType() {
		return infoType;
	}

	public void setInfoType(String infoType) {
		this.infoType = infoType;
	}
	public String getNotic() {
		return notic;
	}

	public void setNotic(String notic) {
		this.notic = notic;
	}
	public String getReadPerson() {
		return readPerson;
	}

	public void setReadPerson(String readPerson) {
		this.readPerson = readPerson;
	}
	public String getReadDep() {
		return readDep;
	}

	public void setReadDep(String readDep) {
		this.readDep = readDep;
	}
	public String getPicName() {
		return picName;
	}

	public void setPicName(String picName) {
		this.picName = picName;
	}
	public String getIsActive() {
		return isActive;
	}

	public void setIsActive(String isActive) {
		this.isActive = isActive;
	}
	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

}