/**
 *
 */
package com.ims.ims.sm.service.impl;

import java.util.List;
import com.ims.core.utils.IdGen;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.ims.core.persistence.Page;
import com.ims.core.service.impl.CrudServiceImpl;

import com.ims.ims.sm.service.IPubinfoService;

import com.ims.ims.sm.entity.Pubinfo;
import com.ims.ims.sm.dao.PubinfoDao;


/**
 * 电子公告Service
 * @author niyili
 * @version 2022-12-27
 */
@Service
@Transactional(readOnly = true)
public class PubinfoServiceImpl extends CrudServiceImpl<PubinfoDao, Pubinfo> implements IPubinfoService{

 	public Pubinfo get(Pubinfo pubinfo) {
		return super.get(pubinfo);
	}

    public List<Pubinfo> findList(Pubinfo pubinfo) {
        return super.findList(pubinfo);
    }

	public List<Pubinfo> findAllListM(Pubinfo pubinfo,String dataFilter,String baseFilter,String key,String baseQuery,String specQuery) {
	 	return super.findAllListM(pubinfo,dataFilter,baseFilter,key,baseQuery,specQuery);
	}

	public Page<Pubinfo> findPageM(Page<Pubinfo> page, Pubinfo pubinfo,String dataFilter,String baseFilter,String key,String baseQuery,String specQuery) {
		return super.findPageM(page, pubinfo,dataFilter,baseFilter,key,baseQuery,specQuery);
	}

	public Pubinfo initInsert(Pubinfo pubinfo)  {
		return super.initInsert(pubinfo);
	}

	@Transactional(readOnly = false)
	public void checkSave(Pubinfo pubinfo) {
		super.checkSave(pubinfo);
	}

	@Transactional(readOnly = false)
	public Pubinfo save(Pubinfo pubinfo, boolean isNewRecord){
	    if(isNewRecord){
	        pubinfo.setId(IdGen.uuid());
	    }
		return super.save(pubinfo,isNewRecord);
	}

    @Transactional(readOnly = false)
    @Override
    public void insertList(List<Pubinfo> list){
        super.insertList(list);
    }

	@Transactional(readOnly = false)
	public void checkRemove(Pubinfo pubinfo,String baseFilter){
		super.checkRemove(pubinfo,baseFilter);
	}

	@Transactional(readOnly = false)
	public void delete(Pubinfo pubinfo,String baseFilter) {
		super.delete(pubinfo,baseFilter);
	}
}